summaryrefslogtreecommitdiffstats
path: root/ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst
diff options
context:
space:
mode:
authorTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-09-10 16:16:32 -0500
committerTimothy Pearson <kb9vqf@pearsoncomputing.net>2012-09-10 16:16:32 -0500
commit02dc85a95b228b7242b0d11ea35619faad96db03 (patch)
treee161ba877a0720bbdf7818bdec06eb239d8ad271 /ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst
parent6f2c7dc70e77d2f768d687838b6cc9f7632f609e (diff)
downloadtde-packaging-02dc85a95b228b7242b0d11ea35619faad96db03.tar.gz
tde-packaging-02dc85a95b228b7242b0d11ea35619faad96db03.zip
Split precise from maverick
Diffstat (limited to 'ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst')
-rw-r--r--ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst50
1 files changed, 50 insertions, 0 deletions
diff --git a/ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst b/ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst
new file mode 100644
index 000000000..44dfd6c24
--- /dev/null
+++ b/ubuntu/precise/tdenetwork/debian/ktalkd-trinity.postinst
@@ -0,0 +1,50 @@
+#! /bin/sh
+# postinst script for ktalkd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+talk_entry="talk dgram udp wait nobody.tty /usr/sbin/tcpd /usr/sbin/ktalkd"
+ntalk_entry="ntalk dgram udp wait nobody.tty /usr/sbin/tcpd /usr/sbin/ktalkd"
+
+enable_talk() {
+ update-inetd --pattern '[ \t]/usr/sbin/ktalkd' --enable talk
+ update-inetd --pattern '[ \t]/usr/sbin/ktalkd' --enable ntalk
+}
+
+remove_talk() {
+ update-inetd --remove 'talk[ \t].*[ \t]/usr/sbin/ktalkd'
+ update-inetd --remove 'ntalk[ \t].*[ \t]/usr/sbin/ktalkd'
+}
+
+case "$1" in
+ configure)
+ remove_talk
+ if grep -q ^talk /etc/inetd.conf; then
+ update-inetd --group BSD --add "#$talk_entry"
+ update-inetd --group BSD --add "#$ntalk_entry"
+ else
+ update-inetd --group BSD --add "$talk_entry"
+ update-inetd --group BSD --add "$ntalk_entry"
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ enable_talk
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+